<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
TransactionConfig Fields
TransactionConfig Class See Also Send Feedback

The TransactionConfig type exposes the following members.

# Fields

| Name | Description
--- | --- | ---
| IsolationDegree | The degree of isolation for this transaction
| NoWait | If true and a lock is unavailable for any Berkeley DB operation performed in the context of a transaction, cause the operation to throw a DeadlockException (or LockNotGrantedException if configured with TimeNotGranted).
| Snapshot | If true, this transaction will execute with snapshot isolation.
| SyncAction | Log sync behavior on transaction commit or prepare.

# See Also

TransactionConfig Class
BerkeleyDB Namespace